Subject: RE: Response requested: Proposal regarding milestones

From: [email-masked]
Date: Thu, 19 Dec 2002 17:28:31 -0600

> 
> > Remember that I was actually focused even further back, on trying to
> > identify the folks who have committed to the work chartered for a
> > working group.
> 
> It would seem to me that identifying this group (and 
> determining whether
> their skill set is adequate) should be an important part of deciding
> whether to go ahead with the charter.
> 
> Forming WGs is a little like having children -- everyone wants to be
> present at conception, but when it comes to follow through -- we often
> fall short.

Interesting observation indeed and I completely agree. When BOFs are 
approved there is a considerable number of people who show up and express
support for the work. Of course as we see from most WGs the number of active
participants is quite limited. Hence one of the problems that exists is the
formation of a WG simply because a few hundred people in a room think that 
the work being proposed in a BOF is a good idea and should be done in the IETF.
Of course the IESG is not just swayed by the fact that a few hundred people think
that a WG should be created, but it does weigh in I believe. Very rarely have I 
seen a BoF meeting where there has been a strong opinion that the WG should NOT
be created.

> 
> The reality is that completing a standards effort is very 
> time consuming
> -- it typically takes years of work, on a continuous basis. 
> As part of the
> nomcom process, we require nominees for the IAB and IESG to 
> get written
> commitments from their management indicating that they understand the
> level of commitment and agree to that level of support. I 
> wonder how many
> WGs can demonstrate a "core" with that level of commitment.

There are a few. Looking at any IETF WG mailing list it is quite clear
that the number of core or committed contributors can be counted on your
fingertips (in most cases anyway). But its impossible to get the larger
set of people to be actively involved in any realistic way. I believe that
the vast majority are simply willing to be lead and hence the lack of
contribution.  

> 
> > I hope that having a pool of people who are so
> > committed would improve our ability to manage our groups to the
> > chartered milestones.
> 
> I'd say it's essential to know if that group exists before getting
> started.
> 

Even if a very small core that is really committed exists, it is enough. So
should the WG before being chartered get the same commitment from these folks,
the way the Nomcom does of the candidates for IAB/IESG?

-Basavaraj

---

From: Marshall Rose <[email-masked]>
Date: Thu, 19 Dec 2002 15:42:47 -0800

> the work being proposed in a BOF is a good idea and should be done in the
> IETF. Of course the IESG is not just swayed by the fact that a few hundred
> people think that a WG should be created, but it does weigh in I believe. Very
> rarely have I seen a BoF meeting where there has been a strong opinion that
> the WG should NOT be created.

back when i was an AD, i had three criteria that a BOF had to meet
before i'd say yes.
    
first, there had to be technical competents in the room willing to do
the work.
    
second, there had to be real users in the room willing to buy the
resulting products.
    
third, the two groups had to be able to communicate with each other
effectively.
    
if i wasn't comfortable with any of these three things, then my answer
was "no".
    
note that my list didn't include things like the number of folks who
show up, or necessarily what they think (though obviously the latter is
important, but only in terms of the details -- that's the thing the iesg
needs to look for.)

more recently, dave crocker and others have suggested that a fourth
criteria is necessary. specifically, that prior to the bof a mailing
list be set up and go active to discuss the issues, technical
approaches, etc.  i think the idea here is that it's easier to gauge how
serious people are if you have a month or two of archives to look at...
    
ps: in case you're wondering why i didn't include
    
    it makes sense to do the work in the ietf
    
in the list, it's because if there was any doubt to that, then there
would be no bof, period.